package domain


type AlibabaWdkItemMerchantstoreskuCreateResult struct {
    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        code     */
    Code  *string `json:"code,omitempty" `

    /*
        errorCode     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        errorDesc     */
    ErrorDesc  *string `json:"error_desc,omitempty" `

}

func (s *AlibabaWdkItemMerchantstoreskuCreateResult) SetSuccess(v bool) *AlibabaWdkItemMerchantstoreskuCreateResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkItemMerchantstoreskuCreateResult) SetCode(v string) *AlibabaWdkItemMerchantstoreskuCreateResult {
    s.Code = &v
    return s
}
func (s *AlibabaWdkItemMerchantstoreskuCreateResult) SetErrorCode(v string) *AlibabaWdkItemMerchantstoreskuCreateResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaWdkItemMerchantstoreskuCreateResult) SetErrorDesc(v string) *AlibabaWdkItemMerchantstoreskuCreateResult {
    s.ErrorDesc = &v
    return s
}
